Subject: bug#17503: df (GNU coreutils) 8.21 not reporting for hfsplus ?

From: Bernhard Voelker <[email-masked]>
Date: Fri, 16 May 2014 07:46:12 +0200

tag 17503 + notabug
close 17503
stop

On 05/16/2014 12:48 AM, crquan wrote:
> On Thu, May 15, 2014 at 3:28 PM, crquan <[email-masked]> wrote:
>> I found my df has a bug not showing entry for this /dev/sda2 hfsplus partition,
>> this entry really exists in /proc/mounts and /etc/mtab, but df doesn't
>> report it,
>>
>> I'm not sure if this is specific to hfsplus? or because of
>> the mountpoint "/media/user/Macintosh\040HD" has a space?
>> and /etc/mtab read it as "/media/user/Macintosh\134040HD",
>> is that a bug of mount program as well?
>>
>>
>> This is Linux mint running on a mac laptop,
>>
>> mint ~ # grep hfsplus /proc/mounts /etc/mtab
>> /proc/mounts:/dev/sda2 /media/user/Macintosh\040HD hfsplus
>> ro,nosuid,nodev,relatime,umask=22,uid=0,gid=0,nls=utf8 0 0
>> /etc/mtab:/dev/sda2 /media/user/Macintosh\134040HD hfsplus
>> ro,nosuid,nodev,relatime,umask=22,uid=0,gid=0,nls=utf8 0 0
> 
> Sorry, I feel it's more of a mount program's problem,
> If I manually edit /etc/mtab of this line to
> /dev/sda2 /media/user/Macintosh\040HD hfsplus
> ro,nosuid,nodev,relatime,umask=22,uid=0,gid=0,nls=utf8 0 0
> 
> Then df can report this partition with no problem.
> 
> mint ~ # df -Th |grep hfsplus
> /dev/sda2      hfsplus     94G   73G   21G  78% /media/user/Macintosh HD

Thanks for the information.

Is /etc/mtab a regular file on your system? It should be
a symlink nowadays:

  $ ls -ldog /etc/mtab
  lrwxrwxrwx 1 17 Feb 20 00:04 /etc/mtab -> /proc/self/mounts

Having mount to update mtab as a regular file is deprecated:
from Karel Zak's (the util-linux maintainer) blog:

  "Yeah, mtab is evil."
  http://karelzak.blogspot.de/2011/04/bind-mounts-mtab-and-read-only.html

as you pointed out that there is not a problem with df, I'm marking
this as "notabug" in coreutils' bug tracker.

Thanks & have a nice day,
Berny